com.cloudera.sqoop.lib

## Class ProcessingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.sqoop.lib.ProcessingException
      - - com.cloudera.sqoop.lib.ProcessingException

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  use org.apache.sqoop.lib.ProcessingException instead.

      public class ProcessingException
      extends ProcessingException

  General error during processing of a SqoopRecord.
  See Also:
    `ProcessingException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessingException()` Deprecated.
    `ProcessingException(java.lang.String message)` Deprecated.
    `ProcessingException(java.lang.String message, java.lang.Throwable cause)` Deprecated.
    `ProcessingException(java.lang.Throwable cause)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.sqoop.lib.ProcessingException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessingException

          public ProcessingException()

      Deprecated.

    - #### ProcessingException

          public ProcessingException(java.lang.String message)

      Deprecated.

    - #### ProcessingException

          public ProcessingException(java.lang.Throwable cause)

      Deprecated.

    - #### ProcessingException

          public ProcessingException(java.lang.String message,
                             java.lang.Throwable cause)

      Deprecated.

Copyright © 2015 The Apache Software Foundation